Bug 103385 - Unhandled exception (syntax err) in anaconda after identifying existing versions
Unhandled exception (syntax err) in anaconda after identifying existing versions
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 12:12 EDT by Martin Quested
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 21:02:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda core dump, as saved to floppy when the error occurred. (45.16 KB, text/plain)
2003-08-29 12:16 EDT, Martin Quested
no flags Details

  None (edit)
Description Martin Quested 2003-08-29 12:12:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98) Opera 7.10  [en]

Description of problem:

Upgrading RedHat Linux 7.2 to RedHat Linux 9 from CD.

CD boots fine, identifies my monitor and video card and asks me to select mouse 
manually.  This then functions correctly when graphical installer launches.

I select language (English), keyboard (United Kingdom) and mouse again (serial 
generic 2-button with 3-button emulation on COM1).

Then it tells me it is searching for existing versions of RedHat.  The progress 
bar moves fairly rapidly (5 seconds) and completes.  This dialog disappears and 
then the Unhandled Exception - Syntax Error is reported.

The following is copied from the attached anacdump.  I believe it is the same as 
the Unhandled Exception reported in the dialog box at the time.

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 764, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 960, in setScreen
    exec s
  File "<string>", line 1, in ?
  File "/usr/lib/anaconda/iw/examine_gui.py", line 17, in ?
    from package_gui import *
  File "/usr/lib/anaconda/iw/package_gui.py", line 1068
    i        column = gtk.TreeViewColumn('Text', renderer, text = 1)
                  ^
SyntaxError: invalid syntax


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See description above.

I have tried using computer as-is and also switching the CMOS to fail-safe 
settings.  I recall that this enabled me to install version 7.2 successfully.  
However, I get the same error with or without fail-safe settings.
    

Additional info:
Comment 1 Martin Quested 2003-08-29 12:16:17 EDT
Created attachment 94072 [details]
Anaconda core dump, as saved to floppy when the error occurred.
Comment 2 Michael Fulbright 2003-09-02 17:52:46 EDT
I would recommend testing your media if you have not already. This appears to be
due to an error loading the python sources from the install media.
Comment 3 Jeremy Katz 2003-10-15 21:02:48 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report

Note You need to log in before you can comment on or make changes to this bug.